ReflectionClass::getProperties
ReflectionClass::getShortName
ReflectionClass
PHP Manual

# ReflectionClass::getProperty

Gets a ReflectionProperty for a class's property

### Description

public ReflectionProperty ReflectionClass::getProperty ( string `$name` )

Gets a ReflectionProperty for a class's property.

### Parameters

`name`

  The property name.

### Return Values

A ReflectionProperty.

### Examples

Example #1 Basic usage of ReflectionClass::getProperty

`<?php
$class = new ReflectionClass('ReflectionClass');
$property = $class->getProperty('name');
var_dump($property);
?>`

The above example will output:

    object(ReflectionProperty)#2 (2) {
      ["name"]=>
      string(4) "name"
      ["class"]=>
      string(15) "ReflectionClass"
    }

### See Also

- ReflectionClass::getProperties